com.mockobjects

## Class MockObject

- java.lang.Object
- - com.mockobjects.MockObject

All Implemented Interfaces:
  Verifiable

Direct Known Subclasses:
  CommonMockDataSource, MockArray, MockAttribute, MockAttributes, MockConnection, MockConnection, MockConnection2, MockContext, MockDatabaseMetaData, MockFile, MockFilterChain, MockFilterConfig, MockHttpServletRequest, MockHttpServletResponse, MockHttpSession, MockIOFactory, MockMessage, MockMessage, MockMessageConsumer, MockMessageProducer, MockMessagePublisher, MockMimeMessageFactory, MockMultiRowResultSet, MockNaming, MockNamingEnumeration, MockPreparedStatement, MockPropertyChangeListener, MockQueue, MockQueueConnectionFactory, MockRequestDispatcher, MockResultSetMetaData, MockService, MockServletConfig, MockServletContext, MockSession, MockSession, MockSingleRowResultSet, MockSocket, MockSocketFactory, MockStatement, MockTopic, MockTopicConnectionFactory

    public abstract class MockObject
    extends java.lang.Object
    implements Verifiable

### Constructor Summary

Constructors
Constructor and Description
`MockObject()`

### Method Summary

Methods
`void` `notImplemented()`
`static void` `notYetImplemented(java.lang.String mockName)` Deprecated.
`void` `verify()` Throw an AssertionFailedException if any expectations have not been met.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MockObject

    public MockObject()

### Method Detail

#### notImplemented

    public void notImplemented()

#### notYetImplemented

    public static void notYetImplemented(java.lang.String mockName)

Deprecated.

#### verify

    public void verify()

Description copied from interface: `Verifiable`
Throw an AssertionFailedException if any expectations have not been met.

Specified by:
  `verify` in interface `Verifiable`